/* COLORSCALE_H
 * CLASS DECLARATION
 *
 * CHANGLOG:
 * NAME:            |   CHANGES:                                                |   DATE:           |
 * Mewes, Lars      | Neuerstellung                                             | 24.09.2021        |
 *                  |                                                           |                   |
 *                  |                                                           |                   |
 *                  |                                                           |                   |
 *
 * DESCRIPTION:
 * Diese Klasse beinhaltet sämtliche Töne einer Oktave, die mithilfe von getter-setter-Funktionen genutzt werden können.
 *
 * TO-DOs:
 *
 *
 */

#pragma once
#include "Tone.h"


class ColorScale{
    Tone allTones[12];
public:
    Tone * getToneByName(QString name);
    Tone * getToneByKeyboardPosition(int pos);
    void setToneColor(Tone * tone, QColor color);
    ColorScale();

};
